put
https://api.azuga.com/azuga-ws/v1/vehicle/:vehicleId.json
This API allows you to update information of an existing vehicle. Only one vehicle can be updated in a single API call. Vehicle attributes that needs to be revised only need to be included in the request.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Request ParametersOnly those vehicle attributes that need to be revised should be included in the request.
Sample Requesthttps://api.azuga.com/azuga-ws/v1/vehicle/d16e5cc0-83c7-11e6-8e0e-b7340286a5ae.json
{
"vehicleName": "Adam's Truck",
"groupName": "VMI",
"deviceSerialNum": "8182452911",
"make": "Ford",
"model": "F-150",
"year": 2017,
"userId": "c445bad8-954b-11e8-b2e6-47bcb27b1235",
"costPerMile": 0.54,
"fuelTankCapacity": 45,
"ownership": "Company",
"vin":"1FTUGAD45A1127080",
"licensePlate": "FST 846",
"initialEngineRuntime": 7200,
"odometerReading": 600,
"assetno": "Auto 111",
"vehicleTypeId": 3,
"fuelTypeId": 5,
"tag": ["Dump Truck","Farm Tractor"]
}API Response Explanation
| Field | Description |
|---|---|
| code | API status code |
| message | API Message (Success/Failure) |
| reason | Reason for failure |
| generatedAt | API generation timestamp in UTC |
| currentPage | Current page of the paginated result |
| totalPages | Total number of pages in the paginated result |
| result | Unique identifier representing the vehicle |

